
Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio Version 17
VisualStudioVersion = 17.0.31903.59
MinimumVisualStudioVersion = 10.0.40219.1
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "src", "src", "{827E0CD3-B72D-47B6-A68D-7590B98EB39B}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "CosmicDriver", "src\CosmicDriver\CosmicDriver.csproj", "{30207913-C909-4906-815C-233BF43876B2}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "system", "examples\system\system.csproj", "{E42604D9-21CD-45BA-A383-FC8E305F4D11}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "i2c", "examples\i2c\i2c.csproj", "{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "spi", "examples\spi\spi.csproj", "{748906CD-5AD4-4501-AE54-B6635744E7F5}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "uart", "examples\uart\uart.csproj", "{C24B22ED-100E-4900-A642-04B102A28E38}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "gpio", "examples\gpio\gpio.csproj", "{A1ACB791-5DD2-4751-AD7A-548C5E17A750}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "basic", "examples\i3c\basic\basic.csproj", "{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "daa", "examples\i3c\daa\daa.csproj", "{2A9410AB-2EDB-4B17-B70B-0457C95B2997}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ccc", "examples\i3c\ccc\ccc.csproj", "{71A74D76-59EA-4AC0-B330-8DC7618BC340}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "hdr-ddr", "examples\i3c\hdr-ddr\hdr-ddr.csproj", "{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "hj-ibi", "examples\i3c\hj-ibi\hj-ibi.csproj", "{3B681A16-2D15-4A78-835F-9A845D273ADC}"
EndProject
Global
	GlobalSection(SolutionConfigurationPlatforms) = preSolution
		Debug|Any CPU = Debug|Any CPU
		Debug|x64 = Debug|x64
		Debug|x86 = Debug|x86
		Release|Any CPU = Release|Any CPU
		Release|x64 = Release|x64
		Release|x86 = Release|x86
	EndGlobalSection
	GlobalSection(ProjectConfigurationPlatforms) = postSolution
		{30207913-C909-4906-815C-233BF43876B2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{30207913-C909-4906-815C-233BF43876B2}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{30207913-C909-4906-815C-233BF43876B2}.Debug|x64.ActiveCfg = Debug|Any CPU
		{30207913-C909-4906-815C-233BF43876B2}.Debug|x64.Build.0 = Debug|Any CPU
		{30207913-C909-4906-815C-233BF43876B2}.Debug|x86.ActiveCfg = Debug|Any CPU
		{30207913-C909-4906-815C-233BF43876B2}.Debug|x86.Build.0 = Debug|Any CPU
		{30207913-C909-4906-815C-233BF43876B2}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{30207913-C909-4906-815C-233BF43876B2}.Release|Any CPU.Build.0 = Release|Any CPU
		{30207913-C909-4906-815C-233BF43876B2}.Release|x64.ActiveCfg = Release|Any CPU
		{30207913-C909-4906-815C-233BF43876B2}.Release|x64.Build.0 = Release|Any CPU
		{30207913-C909-4906-815C-233BF43876B2}.Release|x86.ActiveCfg = Release|Any CPU
		{30207913-C909-4906-815C-233BF43876B2}.Release|x86.Build.0 = Release|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Debug|x64.ActiveCfg = Debug|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Debug|x64.Build.0 = Debug|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Debug|x86.ActiveCfg = Debug|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Debug|x86.Build.0 = Debug|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Release|Any CPU.Build.0 = Release|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Release|x64.ActiveCfg = Release|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Release|x64.Build.0 = Release|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Release|x86.ActiveCfg = Release|Any CPU
		{E42604D9-21CD-45BA-A383-FC8E305F4D11}.Release|x86.Build.0 = Release|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Debug|x64.ActiveCfg = Debug|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Debug|x64.Build.0 = Debug|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Debug|x86.ActiveCfg = Debug|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Debug|x86.Build.0 = Debug|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Release|Any CPU.Build.0 = Release|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Release|x64.ActiveCfg = Release|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Release|x64.Build.0 = Release|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Release|x86.ActiveCfg = Release|Any CPU
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB}.Release|x86.Build.0 = Release|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Debug|x64.ActiveCfg = Debug|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Debug|x64.Build.0 = Debug|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Debug|x86.ActiveCfg = Debug|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Debug|x86.Build.0 = Debug|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Release|Any CPU.Build.0 = Release|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Release|x64.ActiveCfg = Release|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Release|x64.Build.0 = Release|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Release|x86.ActiveCfg = Release|Any CPU
		{748906CD-5AD4-4501-AE54-B6635744E7F5}.Release|x86.Build.0 = Release|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Debug|x64.ActiveCfg = Debug|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Debug|x64.Build.0 = Debug|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Debug|x86.ActiveCfg = Debug|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Debug|x86.Build.0 = Debug|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Release|Any CPU.Build.0 = Release|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Release|x64.ActiveCfg = Release|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Release|x64.Build.0 = Release|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Release|x86.ActiveCfg = Release|Any CPU
		{C24B22ED-100E-4900-A642-04B102A28E38}.Release|x86.Build.0 = Release|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Debug|x64.ActiveCfg = Debug|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Debug|x64.Build.0 = Debug|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Debug|x86.ActiveCfg = Debug|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Debug|x86.Build.0 = Debug|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Release|Any CPU.Build.0 = Release|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Release|x64.ActiveCfg = Release|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Release|x64.Build.0 = Release|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Release|x86.ActiveCfg = Release|Any CPU
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750}.Release|x86.Build.0 = Release|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Debug|x64.ActiveCfg = Debug|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Debug|x64.Build.0 = Debug|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Debug|x86.ActiveCfg = Debug|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Debug|x86.Build.0 = Debug|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Release|Any CPU.Build.0 = Release|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Release|x64.ActiveCfg = Release|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Release|x64.Build.0 = Release|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Release|x86.ActiveCfg = Release|Any CPU
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77}.Release|x86.Build.0 = Release|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Debug|x64.ActiveCfg = Debug|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Debug|x64.Build.0 = Debug|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Debug|x86.ActiveCfg = Debug|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Debug|x86.Build.0 = Debug|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Release|Any CPU.Build.0 = Release|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Release|x64.ActiveCfg = Release|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Release|x64.Build.0 = Release|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Release|x86.ActiveCfg = Release|Any CPU
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997}.Release|x86.Build.0 = Release|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Debug|x64.ActiveCfg = Debug|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Debug|x64.Build.0 = Debug|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Debug|x86.ActiveCfg = Debug|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Debug|x86.Build.0 = Debug|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Release|Any CPU.Build.0 = Release|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Release|x64.ActiveCfg = Release|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Release|x64.Build.0 = Release|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Release|x86.ActiveCfg = Release|Any CPU
		{71A74D76-59EA-4AC0-B330-8DC7618BC340}.Release|x86.Build.0 = Release|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Debug|x64.ActiveCfg = Debug|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Debug|x64.Build.0 = Debug|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Debug|x86.ActiveCfg = Debug|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Debug|x86.Build.0 = Debug|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Release|Any CPU.Build.0 = Release|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Release|x64.ActiveCfg = Release|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Release|x64.Build.0 = Release|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Release|x86.ActiveCfg = Release|Any CPU
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F}.Release|x86.Build.0 = Release|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Debug|x64.ActiveCfg = Debug|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Debug|x64.Build.0 = Debug|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Debug|x86.ActiveCfg = Debug|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Debug|x86.Build.0 = Debug|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Release|Any CPU.Build.0 = Release|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Release|x64.ActiveCfg = Release|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Release|x64.Build.0 = Release|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Release|x86.ActiveCfg = Release|Any CPU
		{3B681A16-2D15-4A78-835F-9A845D273ADC}.Release|x86.Build.0 = Release|Any CPU
	EndGlobalSection
	GlobalSection(SolutionProperties) = preSolution
		HideSolutionNode = FALSE
	EndGlobalSection
	GlobalSection(NestedProjects) = preSolution
		{30207913-C909-4906-815C-233BF43876B2} = {827E0CD3-B72D-47B6-A68D-7590B98EB39B}
		{E42604D9-21CD-45BA-A383-FC8E305F4D11} = {827E0CD3-B72D-47B6-A68D-7590B98EB39B}
		{BD0B9279-D733-4D57-BFC9-E9226BDC7CCB} = {827E0CD3-B72D-47B6-A68D-7590B98EB39B}
		{748906CD-5AD4-4501-AE54-B6635744E7F5} = {827E0CD3-B72D-47B6-A68D-7590B98EB39B}
		{C24B22ED-100E-4900-A642-04B102A28E38} = {827E0CD3-B72D-47B6-A68D-7590B98EB39B}
		{A1ACB791-5DD2-4751-AD7A-548C5E17A750} = {827E0CD3-B72D-47B6-A68D-7590B98EB39B}
		{8F96EBB2-9B54-4DF8-9BD3-5B76770A5B77} = {827E0CD3-B72D-47B6-A68D-7590B98EB39B}
		{2A9410AB-2EDB-4B17-B70B-0457C95B2997} = {827E0CD3-B72D-47B6-A68D-7590B98EB39B}
		{71A74D76-59EA-4AC0-B330-8DC7618BC340} = {827E0CD3-B72D-47B6-A68D-7590B98EB39B}
		{FB8A8E43-2AD3-4119-91FE-7EA0B598917F} = {827E0CD3-B72D-47B6-A68D-7590B98EB39B}
		{3B681A16-2D15-4A78-835F-9A845D273ADC} = {827E0CD3-B72D-47B6-A68D-7590B98EB39B}
	EndGlobalSection
EndGlobal
